Subject: [SWIPL] Testing frameworks that work with SWI Prolog?

From: Lukas Faulstich <[email-masked]>
Date: Thu, 19 Apr 2001 22:41:22 +0200 (MEST)

Tom Breton writes:
 > 
 > Are there any regression testing frameworks that work with SWI Prolog?
 > I mean a module that will take code along the lines of:
 > 
 > foo(...) :- ...
 > example( foo(a,b) ).
 > example( foo(c,d) ).
 > 
 > and automatically test that all the examples of `foo' work.
 > Presumably with some diagnostics when it fails.
 > 
 > If not, then I'm on the verge of writing such a thing (I wrote/adapted
 > the same thing for Lisp), and if so I'll submit it as an addition to
 > SWI, if it would be welcome.

please do not go into that trouble before you have checked out the
library module_test, at

http://gollem.swi.psy.uva.nl/twiki/pl/bin/view/Library/ModuleTest

Lukas Faulstich 

-- 
Dr. Lukas C. Faulstich		        [email-masked] 
Institut fuer Informatik	        +49 (30) 838 - 75 123
Freie Universitaet Berlin	        +49 (30) 838 - 75 109 (fax)
Takustr. 9			        http://www.inf.fu-berlin.de/~faulstic
D-14195 Berlin, Germany	                PGP key: see my homepage
Petition for a Software Patent Free Europe  http://petition.eurolinux.org/